Subject: Re: bug#52119: 29.0.50; Blank lines in vc-git-stash-pop with fido-vertical-mode

From: Dmitry Gutov <[email-masked]>
Date: Fri, 26 Nov 2021 15:40:10 +0300

On 26.11.2021 10:51, Manuel Uberti via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> This is what I did from emacs -Q:
> 
> - M-x fido-vertical-mode
> - C-x p p and I picked a project where I had previously stashed a change 
> with vc-git-stash
> - hit v for VC-Dir
> - M-x vc-git-stash-pop
> - See attached screenshot

Hi!

Does this help?

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index 3f89fad235..24c4535ed1 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -1685,7 +1685,7 @@ vc-git-stash-read
    (let ((stash (completing-read
                   prompt
                   (split-string
-                  (or (vc-git--run-command-string nil "stash" "list") 
"") "\n")
+                  (or (vc-git--run-command-string nil "stash" "list") 
"") "\n" t)
                   nil :require-match nil 'vc-git-stash-read-history)))
      (if (string-equal stash "")
          (user-error "Not a stash")